Ben
Burton
bab@debian.org
7 de Abril de 2003
fixincludes
1

# `fixincludes`

Reduce la cantidad de #includes en el código de &kde;.

    fixincludes -v, --verbose -e, --experimental -m, --modify file --help

## Descripción

`fixincludes` intenta reducir el número de #includes en los archivos de código fuente de C++. La mayor parte del procesamiento que realiza es específico para &kde; por tanto es posible que no funcione tan bien en código ajeno a &kde;.

`fixincludes` es cpaz de identificar los siguientes problemas.

- Presencia de encabezados obsoletos pero todavía presentes para mantener la compatibilidad con antiguas versiones de Qt/KDE.

- Líneas repetidas.

Dispone también de un mdo experimental que intenta eliminar un #include cada vez (con algunas excepciones) para comprobar si el código sigue compilando. Observe que esto modifica el código fuente original.

por omisión, no se modifican los archivos originales, simplemente se muestran por la salida estándar los problemas identificados.

Deberá indicar la lista de archivos de C++ a analizar mediante la línea de comandos. Si no se indica ningún archivo, se examinarán los del directorio actual y sus subdirectorios (salvo aquellos cuyo `Makefile.am` contenga las opciones `-UQT_NO_COMPAT` o `-UKDE_NO_COMPAT`)

Esta herramienta forma parte del kit de desarrollo de KDE.

## Opciones

`-v, --verbose`

  Modo informativo. Muestra información de depurado adicional.

`-e, --experimental`

  Modo experimental, ha sido descrito detalladamente antes. Observe que esta opción implica `--modify`.

`-m, --modify`

  Al mismo tiempo que escribe los mensajes por la salida estándar, se modifica el código original para solucionar cualquier problema encontrado.

## Autores

`fixincludes` fue escrito por Dirk Mueller mueller@kde.org.